[![Odin][Project Logo]][Website]
==================================
Script and custom MySQL database user authentication and security plugin for Bukkit-based Minecraft servers.

Copyright (c) 2011-2012, CraftFire <<http://www.craftfire.com/>>  
[![][Author Logo]][Website]

Who is CraftFire?
-----------------
CraftFire is the team behind the AuthAPI, Odin, BabelCraft, CraftCommons, and TextWrap projects.  
[![Wulfspider](https://secure.gravatar.com/avatar/6f2a0dcb60cd1ebee57875f9326bc98c?d=mm&r=pg&s=48)](http://forums.spout.org/members/wulfspider/) [![Contex](https://secure.gravatar.com/avatar/ab34f58825a956a975f1a3dcdf97a173?d=mm&r=pg&s=48)](http://forums.spout.org/members/contex/) 

Visit our [website][Website] or get support on our [forum thread][Forums].  
Track and submit issues and bugs on our [issue tracker][Issues].

[![Follow us on Twitter][Twitter Logo]][Twitter][![Like us on Facebook][Facebook Logo]][Facebook][![Donate][Donate Logo]][Donate]

Source
------
The latest and greatest source can be found on [GitHub].  
Download the latest builds from [Jenkins].    [![Build Status](http://build.craftfire.com/job/Odin/badge/icon)][Jenkins]  

License
-------
Odin is licensed under the GNU Lesser General Public License Version 3.

Compiling
---------
Odin uses Maven to handle its dependencies.

* Install [Maven 2 or 3](http://maven.apache.org/download.html)
* Checkout this repo and run: `mvn clean install`

Coding and Pull Request Conventions
-----------------------------------
* Generally follow the Oracle coding standards.
* Use spaces, no tabs.
* No trailing whitespaces.
* 80 column limit for readability.
* Pull requests must compile, work, and be formatted properly.
* Sign-off on ALL your commits - this indicates you agree to the terms of our license.
* No merges should be included in pull requests unless the pull request's purpose is a merge.
* Number of commits in a pull request should be kept to *one commit* and all additional commits must be *squashed*.
* You may have more than one commit in a pull request if the commits are separate changes, otherwise squash them.

**Please follow the above conventions if you want your pull request(s) accepted.**

[Project Logo]: http://cdn.craftfire.com/img/logo/authdb_228x60.png
[Author Logo]: http://cdn.craftfire.com/img/logo/craftfire_150x38.png
[License]: http://www.gnu.org/licenses/lgpl.html
[Website]: http://www.craftfire.com
[Forums]: http://forums.spout.org/threads/3338/
[GitHub]: https://github.com/CraftFire/Odin
[Jenkins]: http://build.craftfire.com/job/Odin
[Issues]: http://issues.craftfire.com
[Twitter]: http://twitter.com/CraftFireDev
[Twitter Logo]: http://cdn.spout.org/img/button/twitter_follow_us.png
[Facebook]: http://facebook.com/CraftFire
[Facebook Logo]: http://cdn.spout.org/img/button/facebook_like_us.png
[Donate]: https://www.paypal.com/cgi-bin/webscr?hosted_button_id=4K4LNLGDM9T6Y&item_name=Odin+donation+%28from+github.com%29&cmd=_s-xclick
[Donate Logo]: http://cdn.spout.org/img/button/donate_paypal_96x96.png
